//
//  SoundEffect.m
//  SpaceInvadersTutorial
//
//  Created by Barbara Köhler on 6/14/13.
//  Copyright (c) 2013 Barbara Köhler. All rights reserved.
//

#import "SoundEffect.h"

@implementation SoundEffect

- (id)initWithSoundNamed:(NSString *)filename
{
    if ((self = [super init]))
    {
        NSURL *fileURL = [[NSBundle mainBundle] URLForResource:filename withExtension:nil];
        if (fileURL != nil)
        {
            SystemSoundID theSoundID;
            OSStatus error = AudioServicesCreateSystemSoundID((__bridge CFURLRef)fileURL, &theSoundID);
            if (error == kAudioServicesNoError)
                soundID = theSoundID;
//            AudioServicesAddSystemSoundCompletion(soundID, NULL, NULL, completionCallback, (__bridge_retained void *)self);
        }
    }
    return self;
}

- (void)play
{
    AudioServicesPlaySystemSound(soundID);
}

//static void completionCallback (SystemSoundID  mySSID, void* myself) {	
//	AudioServicesDisposeSystemSoundID(mySSID);
//}

@end
