//
//  Player.m
//  SpaceInvadersTutorial
//
//  Created by Barbara Köhler on 6/13/13.
//  Copyright (c) 2013 Barbara Köhler. All rights reserved.
//

#import "Player.h"
#import "Constants.h"

@implementation Player

- (id)init
{
    self = [super initWithImageNamed:kPlayerImage];
    if (self) {
        
    }
    return self;
}

-(void) update {
    float newXPosition = self.position.x + self.velocity.x;
    if (newXPosition < self.frame.size.width/2) {
        newXPosition = self.frame.size.width/2;
    } else if (newXPosition > self.parent.frame.size.width - self.frame.size.width/2) {
        newXPosition = self.parent.frame.size.width - self.frame.size.width/2;
    }
    self.position = CGPointMake(newXPosition, self.position.y);
}

@end
